## haskell-hinotify 0.3.1

=== debian/changelog ===
haskell-hinotify (0.3.1-2build2) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Nov 2011 16:25:42 -0400

haskell-hinotify (0.3.1-2build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Sun, 05 Jun 2011 22:35:49 +0100

haskell-hinotify (0.3.1-2) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * Do not use unsupported -fvia-C flag

 -- Joachim Breitner <nomeata@debian.org>  Mon, 11 Apr 2011 19:01:39 +0530

haskell-hinotify (0.3.1-1) unstable; urgency=low

  * initial version (Closes: #607358)

 -- Andy Bailey <bailey@akamai.com>  Wed, 15 Dec 2010 13:33:43 -0500

## haskell-hinotify 0.3.5

=== Makefile ===

.PHONY : docs

docs : README.html

%.html : %
	pandoc -s -S --toc -c hinotify.css $< -o $@

## haskell-hinotify 0.3.2

=== debian/changelog ===
haskell-hinotify (0.3.2-1) unstable; urgency=low

  * New upstream release
  * Drop patches, applied upstream

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Feb 2012 18:12:09 +0100

=== debian/control ===
Source: haskell-hinotify
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Andy Bailey <bailey@akamai.com>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7)
  , haskell-devscripts (>= 0.7)
  , cdbs
  , ghc 
  , ghc-prof
  , ghc-doc
Homepage: http://hackage.haskell.org/package/hinotify
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hinotify
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hinotify

Package: libghc-hinotify-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell inotify library for GHC
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 Hinotify is a Haskell library for inotify, a part of the Linux kernel
 . 
 Hinotify uses inotify to provide file system event notification, 
 simply add a watcher to a file or directory and get an event when it 
 is accessed or modified.


Package: libghc-hinotify-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Provides: ${haskell:Provides}
Description: Haskell inotify library for GHC; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 Hinotify is a Haskell library for inotify, a part of the Linux kernel
 . 
 Hinotify uses inotify to provide file system event notification, 
 simply add a watcher to a file or directory and get an event when it 
 is accessed or modified.

Package: libghc-hinotify-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Haskell inotify library for GHC; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 Hinotify is a Haskell library for inotify, a part of the Linux kernel
 . 
 Hinotify uses inotify to provide file system event notification, 
 simply add a watcher to a file or directory and get an event when it 
 is accessed or modified.

## haskell-hinotify 0.3.5

=== debian/changelog ===
haskell-hinotify (0.3.5-5) unstable; urgency=low

  * Fix crash caused by filename encoding issue.
    https://github.com/kolmodin/hinotify/issues/5

 -- Joey Hess <joeyh@debian.org>  Sat, 20 Jul 2013 15:04:40 -0400

haskell-hinotify (0.3.5-4) unstable; urgency=low

  * Make hinotify linux-any, as suggested by pinotree. 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 26 May 2013 11:21:46 +0200

haskell-hinotify (0.3.5-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:22 +0200

haskell-hinotify (0.3.5-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:52 +0200

haskell-hinotify (0.3.5-1) experimental; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 17 Nov 2012 12:48:16 -0500

=== debian/control ===
Source: haskell-hinotify
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Andy Bailey <bailey@akamai.com>, Clint Adams <clint@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
Build-Depends-Indep: ghc-doc
Homepage: http://hackage.haskell.org/package/hinotify
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hinotify
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hinotify

Package: libghc-hinotify-dev
Architecture: linux-any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell inotify library${haskell:ShortBlurb}
 Hinotify is a Haskell library for inotify, a part of the Linux kernel
 . 
 Hinotify uses inotify to provide file system event notification, 
 simply add a watcher to a file or directory and get an event when it 
 is accessed or modified.
 .
 ${haskell:Blurb}


Package: libghc-hinotify-prof
Architecture: linux-any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Provides: ${haskell:Provides}
Description: Haskell inotify library${haskell:ShortBlurb}
 Hinotify is a Haskell library for inotify, a part of the Linux kernel
 . 
 Hinotify uses inotify to provide file system event notification, 
 simply add a watcher to a file or directory and get an event when it 
 is accessed or modified.
 .
 ${haskell:Blurb}

Package: libghc-hinotify-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Haskell inotify library${haskell:ShortBlurb}
 Hinotify is a Haskell library for inotify, a part of the Linux kernel
 . 
 Hinotify uses inotify to provide file system event notification, 
 simply add a watcher to a file or directory and get an event when it 
 is accessed or modified.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|hinotify-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/hinotify \
    ([\d\.]*\d)/

## haskell-hinotify 0.3.7

=== debian/changelog ===
haskell-hinotify (0.3.7-2build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 23 May 2015 14:29:03 +0100

haskell-hinotify (0.3.7-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:21 +0200

haskell-hinotify (0.3.7-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Apr 2015 11:49:45 +0200

haskell-hinotify (0.3.5-6) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:10:49 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9)
   , cdbs
-  , haskell-devscripts (>= 0.8.15)
+  , haskell-devscripts (>= 0.9)
   , ghc
   , ghc-prof
 Build-Depends-Indep: ghc-doc

## haskell-hinotify 0.3.8.1

=== debian/changelog ===
haskell-hinotify (0.3.8.1-6) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:05 -0400

haskell-hinotify (0.3.8.1-5) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Thu, 13 Oct 2016 20:17:24 -0400

haskell-hinotify (0.3.8.1-4) unstable; urgency=medium

  * Build on kfreebsd (Closes: #816057) 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 27 Feb 2016 09:34:11 +0100

haskell-hinotify (0.3.8.1-3) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:33 -0500

haskell-hinotify (0.3.8.1-2) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:47 +0200

haskell-hinotify (0.3.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Tue, 11 Aug 2015 16:22:52 +0200

=== debian/control ===
Source: haskell-hinotify
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Andy Bailey <bailey@akamai.com>, Clint Adams <clint@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
 cdbs,
 haskell-devscripts (>= 0.13),
 ghc (>= 8.0),
 ghc-prof,
 libinotify-dev [kfreebsd-any],
Build-Depends-Indep: ghc-doc
Homepage: http://hackage.haskell.org/package/hinotify
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hinotify

Package: libghc-hinotify-dev
Architecture: linux-any kfreebsd-any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell inotify library${haskell:ShortBlurb}
 Hinotify is a Haskell library for inotify, a part of the Linux kernel
 .
 Hinotify uses inotify to provide file system event notification,
 simply add a watcher to a file or directory and get an event when it
 is accessed or modified.
 .
 ${haskell:Blurb}


Package: libghc-hinotify-prof
Architecture: linux-any kfreebsd-any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Provides: ${haskell:Provides}
Description: Haskell inotify library${haskell:ShortBlurb}
 Hinotify is a Haskell library for inotify, a part of the Linux kernel
 .
 Hinotify uses inotify to provide file system event notification,
 simply add a watcher to a file or directory and get an event when it
 is accessed or modified.
 .
 ${haskell:Blurb}

Package: libghc-hinotify-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Haskell inotify library${haskell:ShortBlurb}
 Hinotify is a Haskell library for inotify, a part of the Linux kernel
 .
 Hinotify uses inotify to provide file system event notification,
 simply add a watcher to a file or directory and get an event when it
 is accessed or modified.
 .
 ${haskell:Blurb}

## haskell-hinotify 0.3.9

=== debian/changelog ===
haskell-hinotify (0.3.9-2build1) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Jun 2017 15:56:08 +0200

haskell-hinotify (0.3.9-2) unstable; urgency=medium

  * Fix build dependencies.  closes: #865017.

 -- Clint Adams <clint@debian.org>  Sun, 18 Jun 2017 20:13:10 -0400

haskell-hinotify (0.3.9-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 14:47:28 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,11 @@
  ghc (>= 8.0),
  ghc-prof,
  libinotify-dev [kfreebsd-any],
-Build-Depends-Indep: ghc-doc
+ libghc-async-dev (>= 1.0),
+ libghc-async-dev (<< 2.2),
+ libghc-async-prof,
+Build-Depends-Indep: ghc-doc,
+ libghc-async-doc,
 Homepage: http://hackage.haskell.org/package/hinotify
 Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hinotify

=== debian/watch ===
version=3
http://hackage.haskell.org/package/hinotify/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-hinotify 0.3.10

=== debian/changelog ===
haskell-hinotify (0.3.10-1) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 14:16:25 +0300

haskell-hinotify (0.3.9-3) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: haskell-hinotify
 Section: haskell
-Priority: extra
+Priority: optional
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Andy Bailey <bailey@akamai.com>, Clint Adams <clint@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.1.4
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 10),
  cdbs,
  haskell-devscripts (>= 0.13),
  ghc (>= 8.0),
  ghc-prof,
  libinotify-dev [kfreebsd-any],
  libghc-async-dev (>= 1.0),
- libghc-async-dev (<< 2.2),
+ libghc-async-dev (<< 2.3),
  libghc-async-prof,
 Build-Depends-Indep: ghc-doc,
  libghc-async-doc,
 Homepage: http://hackage.haskell.org/package/hinotify
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hinotify
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hinotify]
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hinotify
 
 Package: libghc-hinotify-dev
 Architecture: linux-any kfreebsd-any

## haskell-hinotify 0.4

=== debian/changelog ===
haskell-hinotify (0.4-2build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 20:33:01 +0000

haskell-hinotify (0.4-2build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2020 17:24:42 +0200

haskell-hinotify (0.4-2) unstable; urgency=medium

  * Sourceful upload for GHC 8.8.

 -- Clint Adams <clint@debian.org>  Sat, 06 Jun 2020 21:27:08 -0400

haskell-hinotify (0.4-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 01 Dec 2019 17:10:33 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: haskell-hinotify
 Section: haskell
 Priority: optional
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Andy Bailey <bailey@akamai.com>, Clint Adams <clint@debian.org>
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 10),
  cdbs,
@@ -11,12 +12,12 @@
  ghc (>= 8.0),
  ghc-prof,
  libinotify-dev [kfreebsd-any],
- libghc-async-dev (>= 1.0),
- libghc-async-dev (<< 2.3),
+ libghc-async-dev (>= 2),
+ libghc-async-dev (<< 3),
  libghc-async-prof,
 Build-Depends-Indep: ghc-doc,
  libghc-async-doc,
-Homepage: http://hackage.haskell.org/package/hinotify
+Homepage: https://hackage.haskell.org/package/hinotify
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hinotify]
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hinotify
 
@@ -66,4 +67,3 @@
  is accessed or modified.
  .
  ${haskell:Blurb}
-

## haskell-hinotify 0.4.1

=== debian/changelog ===
haskell-hinotify (0.4.1-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 03 Oct 2024 10:17:15 +0300

haskell-hinotify (0.4.1-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 07 Sep 2023 20:23:19 +0300

haskell-hinotify (0.4.1-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 23 Jul 2022 16:13:11 +0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: haskell-hinotify
 Section: haskell
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Andy Bailey <bailey@akamai.com>, Clint Adams <clint@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 10),
  cdbs,
  haskell-devscripts (>= 0.13),
- ghc (>= 8.0),
+ ghc (>= 9.4),
  ghc-prof,
  libinotify-dev [kfreebsd-any],
  libghc-async-dev (>= 2),
@@ -17,7 +16,7 @@
  libghc-async-prof,
 Build-Depends-Indep: ghc-doc,
  libghc-async-doc,
-Homepage: https://hackage.haskell.org/package/hinotify
+Homepage: https://github.com/kolmodin/hinotify
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hinotify]
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hinotify

=== debian/watch ===
version=3
https://hackage.haskell.org/package/hinotify/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-hinotify 0.4.2

=== debian/changelog ===
haskell-hinotify (0.4.2-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 08 Jan 2026 17:32:17 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Andy Bailey <bailey@akamai.com>, Clint Adams <clint@debian.org>
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10),
- cdbs,
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-haskell,
  haskell-devscripts (>= 0.13),
  ghc (>= 9.4),
  ghc-prof,
